|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleOptionHeader Class Reference
[QtGui module]

The QStyleOptionHeader class is used to describe the parameters for drawing a header. More...

    #include <QStyleOptionHeader>

Inherits QStyleOption.

- List of all members, including inherited members

### Public Types

- enum SectionPosition { Beginning, Middle, End, OnlyOneSection }
- enum SelectedPosition { NotAdjacent, NextIsSelected, PreviousIsSelected, NextAndPreviousAreSelected }
- enum SortIndicator { None, SortUp, SortDown }

### Public Functions

- QStyleOptionHeader ()
- QStyleOptionHeader ( const QStyleOptionHeader & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- QIcon icon
- Qt::Alignment iconAlignment
- Qt::Orientation orientation
- SectionPosition position
- int section
- SelectedPosition selectedPosition
- SortIndicator sortIndicator
- QString text
- Qt::Alignment textAlignment

- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionHeader class is used to describe the parameters for drawing a header.

The QStyleOptionHeader class is used for drawing the item views' header pane, header sort arrow, and header label.

## Member Type Documentation

### enum QStyleOptionHeader::SectionPosition

This enum lets you know where the section's position is in relation to the other sections.

Constant | Value | Description
--- | --- | ---
`QStyleOptionHeader::Beginning` | `0` | At the beginining of the header
`QStyleOptionHeader::Middle` | `1` | In the middle of the header
`QStyleOptionHeader::End` | `2` | At the end of the header
`QStyleOptionHeader::OnlyOneSection` | `3` | Only one header section

### enum QStyleOptionHeader::SelectedPosition

This enum lets you know where the section's position is in relation to the selected section.

Constant | Value | Description
--- | --- | ---
`QStyleOptionHeader::NotAdjacent` | `0` | Not adjacent to the selected section
`QStyleOptionHeader::NextIsSelected` | `1` | The next section is selected
`QStyleOptionHeader::PreviousIsSelected` | `2` | The previous section is selected
`QStyleOptionHeader::NextAndPreviousAreSelected` | `3` | Both the next and previous section are selected

### enum QStyleOptionHeader::SortIndicator

Indicates which direction the sort indicator should be drawn

Constant | Value | Description
--- | --- | ---
`QStyleOptionHeader::None` | `0` | No sort indicator is needed
`QStyleOptionHeader::SortUp` | `1` | Draw an up indicator
`QStyleOptionHeader::SortDown` | `2` | Draw a down indicator

## Member Function Documentation

### QStyleOptionHeader::QStyleOptionHeader ()

Constructs a QStyleOptionHeader. The members variables are initialized to default values.

### QStyleOptionHeader::QStyleOptionHeader ( const QStyleOptionHeader & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionHeader::Type

Equals SO_Header.

### const int QStyleOptionHeader::Version

Equals 1.

### QIcon QStyleOptionHeader::icon

This variable holds the icon of the header.

### Qt::Alignment QStyleOptionHeader::iconAlignment

This variable holds the alignment flags for the icon of the header.

See also Qt::Alignment.

### Qt::Orientation QStyleOptionHeader::orientation

This variable holds the header's orientation (horizontal or vertical).

See also Qt::Orientation.

### SectionPosition QStyleOptionHeader::position

This variable holds the section's position in relation to the other sections.

### int QStyleOptionHeader::section

This variable holds which section of the header is being painted.

### SelectedPosition QStyleOptionHeader::selectedPosition

This variable holds the section's position in relation to the selected section.

### SortIndicator QStyleOptionHeader::sortIndicator

This variable holds the direction the sort indicator should be drawn.

### QString QStyleOptionHeader::text

This variable holds the text of the header.

### Qt::Alignment QStyleOptionHeader::textAlignment

This variable holds the alignment flags for the text of the header.

See also Qt::Alignment.